﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace malovani
{
    public partial class Area : UserControl
    {
        public Area()
        {
            InitializeComponent();
        }

        bool down = false;
        int X0, Y0;

        private void Area_MouseDown(object sender, MouseEventArgs e)
        {
            down = true;
            X0 = e.X;
            Y0 = e.Y;
        }

        private void Area_MouseMove(object sender, MouseEventArgs e)
        {
            if (down)
            {
                if (e.Button == MouseButtons.Left)
                {
                    this.Left += e.X - X0;
                    this.Top += e.Y - Y0;
                }
                else if (e.Button == MouseButtons.Right)
                {
                    Width += e.X - X0;
                    Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }

        }

        private void Area_MouseUp(object sender, MouseEventArgs e)
        {
            down = false;
        }

        private void setColorMenu_Click(object sender, EventArgs e)
        {
            colorDialog1.Color = BackColor;
            if (colorDialog1.ShowDialog() == DialogResult.OK)
                BackColor = colorDialog1.Color;
        }

        private void openImageMenu_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                BackgroundImage = new Bitmap(openFileDialog1.FileName);
                BackgroundImageLayout = ImageLayout.Zoom;
            }
        }

    }
}
